How to use HPS in Japan region (DDN)?
Initial Setup
To start using File Storage - High Performance (HPS), please get in touch with the FPT Support team.
After providing the required information, your account will be activated with the service, a quota will be assigned.
Required Information
| # | Item | Unit | Required | Description |
|---|---|---|---|---|
| 1 | Tenant/ Region | — | Yes | The Tenant and Region where you want to enable the File Storage - High Performance service. |
| 2 | Storage Quota | GB | Yes | The amount of storage capacity you plan to use. |
| 3 | Subnet | Subnet CIDR | Yes | Please provide the list of subnets that require access so the FPT support team can configure them. |
| 4 | Performance | IOPS | No | Desired IOPS performance (if not provided, the default limit will be applied). |
| 5 | Bandwidth | Gbps | No | Desired bandwidth (if not provided, the default limit will be applied). |
Use with Metal Cloud (a Bare Metal GPU server)
{% hint style="warning" %} Notes:
- Each subnet has its own endpoint for connecting to the file storage system.
- Always verify the endpoint and configuration details provided before performing the mount operation to avoid setup errors. {% endhint %}
Use FPT Images
If you are using an image provided by FPT, the DDN client is pre-installed. Follow the steps below to mount the File Storage.
{% stepper %} {% step %} Create a Mount Point
# Create Mount Point
mkdir /mnt/hps
{% endstep %}
{% step %} Mount the File System manually
mount -t lustre 100.69.252.1@o2ib,100.69.252.2@o2ib:100.69.252.3@o2ib,100.69.252.4@o2ib:100.69.252.5@o2ib,100.69.252.6@o2ib:100.69.252.7@o2ib,100.69.252.8@o2ib:/scratch /mnt/hps
{% endstep %}
{% step %} Auto-Mount Configuration
To automatically mount the Lustre file system after reboot, add the following entry to /etc/fstab:
## LustreFS ##
100.69.252.1@o2ib,100.69.252.2@o2ib:100.69.252.3@o2ib,100.69.252.4@o2ib:100.69.252.5@o2ib,100.69.252.6@o2ib:100.69.252.7@o2ib,100.69.252.8@o2ib:/scratch /mnt/hps lustre flock,defaults 0 0
Explanation
100.69.252.1@o2ib,100.69.252.2@o2ib:...:100.69.252.8@o2ib:/scratch- 100.69.252.1–100.69.252.8: Fixed endpoint addresses of the Lustre servers.
- /scratch: Filesystem path on the Lustre server.
- /mnt/hps: Mount point on the client (created in Step 1).
{% hint style="warning" %} Note: Run the following command to verify that the mount configuration has no errors. {% endhint %}
mount -a
{% endstep %}
{% step %} Verify
df -h -t lustre
Filesystem Size Used Avail Use% Mounted on
100.69.252.1@o2ib,100.69.252.2@o2ib:100.69.252.3@o2ib,100.69.252.4@o2ib:100.69.252.5@o2ib,100.69.252.6@o2ib:100.69.252.7@o2ib,100.69.252.8@o2ib:/scratch 11T 8.0K 11T 1% /mnt/hps
{% endstep %} {% endstepper %}
Using Custom Images (Ubuntu)
If you are using a custom image running Ubuntu, you will need to manually build the required packages by following the steps below.
{% stepper %} {% step %} Build Lustre Client
This step is for building the Lustre Client package from source code, in case a prebuilt package compatible with your current kernel version is not available.
- If your system already has a Lustre Client package compatible with the current kernel, you can skip this step and proceed directly to Step B2 (Install .deb packages).
- If you have previously built the package for the same kernel version, you can reuse it and skip this step
# Build Packages (skip if already built for same kernel)
wget https://s3-sgn10.fptcloud.com/file-storage-resource/exa-client-6.3.4.tar.gz
tar xzvf exa-client-6.3.4.tar.gz
cd exa-client
./exa_client_deploy.py
# Select option 2
# Wait for configure and build
# After installation is finished, select option 6
# (compiled packages are saved in /opt/ddn/exascaler/debs)
If your Ubuntu operating system is running kernel version 5.15.0-130-generic, you can skip the build process and directly use the prebuilt packages provided below.
wget https://s3-sgn10.fptcloud.com/package-pub/lustre-dev_2.14.0-ddn184-1_amd64.deb
wget https://s3-sgn10.fptcloud.com/package-pub/lustre-client-modules-5.15.0-130-generic_2.14.0-ddn184-1_amd64.deb
wget https://s3-sgn10.fptcloud.com/package-pub/lustre-client-utils_2.14.0-ddn184-1_amd64.deb
{% endstep %}
{% step %} Install Lustre Client
Install the Lustre Client using .deb packages built in step 1 or downloaded above.
- Only perform this step if the matching
.debpackages are available. If not, return to Step 1 to build the required packages. - If the kernel version does not match the package, errors may occur, and a rebuild will be necessary
sudo dpkg -i lustre-dev_2.14.0-ddn184-1_amd64.deb \
lustre-client-modules-5.15.0-130-generic_2.14.0-ddn184-1_amd64.deb \
lustre-client-utils_2.14.0-ddn184-1_amd64.deb
{% endstep %}
{% step %} Configure the Lustre Client
Apply the following configuration settings to optimize the performance of the Lustre Client.
- Edit
/etc/modprobe.d/lustre.conf:
[/etc/modprobe.d/lustre.conf]
options lnet networks=o2ib(bond0) <==HERE!
options ko2iblnd peer_credits=32 peer_credits_hiw=16 concurrent_sends=64
- Edit
/etc/lustre_client:
[/etc/lustre_client]
#++++++++++++++++++++++++++++++++++++
IF1=bond0 <==HERE!
IF2=none
IF3=none
IF4=none
IF5=none
IF6=none
IF7=none
IF8=none
{% endstep %}
{% step %} Create a mountpoint in the OS
mkdir /mnt/hps
{% endstep %}
{% step %} Mount the File System manually
mount -t lustre 100.69.252.1@o2ib,100.69.252.2@o2ib:100.69.252.3@o2ib,100.69.252.4@o2ib:100.69.252.5@o2ib,100.69.252.6@o2ib:100.69.252.7@o2ib,100.69.252.8@o2ib:/scratch /mnt/hps
{% endstep %}
{% step %} Auto-Mount Configuration
To automatically mount the Lustre file system after reboot, add the following entry to /etc/fstab:
##LustreFS##
100.69.252.1@o2ib,100.69.252.2@o2ib:100.69.252.3@o2ib,100.69.252.4@o2ib:100.69.252.5@o2ib,100.69.252.6@o2ib:100.69.252.7@o2ib,100.69.252.8@o2ib:/scratch /mnt/hps lustre flock,defaults 0 0
Explanation
100.69.252.1@o2ib,100.69.252.2@o2ib:...:100.69.252.8@o2ib:/scratch- 100.69.252.1–100.69.252.8: Fixed endpoint addresses of the Lustre servers.
- /scratch: Filesystem path on the Lustre server.
- /mnt/hps: Mount point on the client (created in Step 4).
{% hint style="warning" %} Note: Run the following command to verify that the mount configuration has no errors. {% endhint %}
mount -a
{% endstep %}
{% step %} Verify
df -h -t lustre
Filesystem Size Used Avail Use% Mounted on
100.69.252.1@o2ib,100.69.252.2@o2ib:100.69.252.3@o2ib,100.69.252.4@o2ib:100.69.252.5@o2ib,100.69.252.6@o2ib:100.69.252.7@o2ib,100.69.252.8@o2ib:/scratch 11T 8.0K 11T 1% /mnt/hps
{% endstep %} {% endstepper %}
Use with a GPU Virtual machine
{% stepper %} {% step %}
Attach Network Interface and Configure IP Address
To connect to HPS Storage for H200, use the pre-created subnet named vm-gpu-hps-net-xxx located under Network > Subnets.
Attach the Network Interface:
- Navigate to Instance Management
- Select your target VM GPU
- Open the Network Interface tab
- Click Create NIC
- Select the network named
vm-gpu-hps-net-xxx
Configure the Network:
After attaching the interface, access your server and configure the network settings manually if DHCP is not enabled for that interface. {% endstep %}
{% step %} Build and Install Lustre Client
This step is for building and installing the Lustre Client package from source code
wget https://s3-sgn10.fptcloud.com/file-storage-resource/exa-client-6.3.4.tar.gz
tar xzvf exa-client-6.3.4.tar.gz
cd exa-client
./exa_client_deploy.py
{% endstep %}
{% step %} Configure the Lustre Client
Apply the following configuration settings to optimize the performance of the Lustre Client.
Edit /etc/modprobe.d/lustre.conf:
[/etc/modprobe.d/lustre.conf]
options lnet networks=tcp(eth1) <==HERE!
options ko2iblnd peer_credits=32 peer_credits_hiw=16 concurrent_sends=64
Edit /etc/lustre_client:
[/etc/lustre_client]
#++++++++++++++++++++++++++++++++++++
IF1=eth1 <==HERE!
IF2=none
IF3=none
IF4=none
IF5=none
IF6=none
IF7=none
IF8=none
{% endstep %}
{% step %} Create a mountpoint in the OS
mkdir /mnt/hps
{% endstep %}
{% step %} Mount the File System manually
mount -t lustre 100.69.252.1@tcp,100.69.252.2@tcp:100.69.252.3@tcp,100.69.252.4@tcp:100.69.252.5@tcp,100.69.252.6@tcp:100.69.252.7@tcp,100.69.252.8@tcp:/scratch /mnt/hps
{% endstep %}
{% step %} Auto-Mount Configuration
To automatically mount the Lustre file system after reboot, add the following entry to /etc/fstab:
##LustreFS##
100.69.252.1@tcp,100.69.252.2@tcp:100.69.252.3@tcp,100.69.252.4@tcp:100.69.252.5@tcp,100.69.252.6@tcp:100.69.252.7@tcp,100.69.252.8@tcp:/scratch /mnt/hps lustre flock,defaults 0 0
Explanation
100.69.252.1@tcp,100.69.252.2@tcp:...:100.69.252.8@tcp:/scratch
- 100.69.252.1–100.69.252.8: Fixed endpoint addresses of the Lustre servers.
- /scratch: Filesystem path on the Lustre server.
/mnt/hps: Mount point on the client (created in Step 4).
{% hint style="warning" %} Note: Run the command to verify if the mount configuration has any errors. {% endhint %}
mount -a
{% endstep %}
{% step %} Verify
df -h -t lustre
Filesystem Size Used Avail Use% Mounted on
100.69.252.1@tcp,100.69.252.2@tcp:100.69.252.3@tcp,100.69.252.4@tcp:100.69.252.5@tcp,100.69.252.6@tcp:100.69.252.7@tcp,100.69.252.8@tcp:/scratch 11T 8.0K 11T 1% /mnt/hps
{% endstep %} {% endstepper %}
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on the current page URL with the ask query parameter:
GET https://ai-docs.fptcloud.com/fpt-gpu-cloud/high-performance-storage/tutorials/how-to-use-hps-in-japan-region-ddn.md?ask=<question>
The question should be specific, self-contained, and written in natural language. The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.